package com.huiju.estateagents;

import com.huiju.estateagents.websocket.ChatServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

@SpringBootApplication
@MapperScan("com.baomidou.mybatisplus.samples.quickstart.mapper")
public class EstateagentsApplication {

	public static void main(String[] args) {
		SpringApplication springApplication = new SpringApplication(EstateagentsApplication.class);
		ConfigurableApplicationContext configurableApplicationContext = springApplication.run(args);
		ChatServer.setApplicationContext(configurableApplicationContext);
	}

}
